#
# spec file for package gnats (Version 3.113.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  emacs emacs-x11 xaw3d xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs emacs emacs-x11 file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xshared

Name:         gnats
Copyright:    GPL
Group:        Development/Tools
Provides:     gnats 
Autoreqprov:  on
Version:      3.113.1
Release:      65
Summary:      Problem Report Management System
Source: ftp://sourceware.cygnus.com/pub/gnats/snapshots/gnats-%{version}.tar.bz2
Patch: gnats-%{version}.dif
BuildRoot: %{_tmppath}/%{name}-root

%description
GNATS is a bug-tracking tool designed for use at a central support site.
Software users who experience problems use electronic mail to communicate these
problems to the the maintainers of that software; GNATS partially automates the
tracking of these problems by:

 organizing problem reports into a database and notifying responsible parties
  of suspected bugs;

 allowing support personnel and their managers to edit, query and report on
  accumulated bugs; and

 providing a reliable archive of problems with a given program and a history
  of the life of the program by preserving its reported problems and their
  subsequent solutions.

GNATS offers many of the same features offered by more generic databases.  You
can query and edit existing problem reports (PRs) as well as obtain reports on
groups of PRs.  The database itself is simply an ordered repository for problem
reports; each PR receives a unique, incremental PRnumber, which identifies it
throughout its lifetime.

Authors:
--------
    Brendan Kehoe <brendan@lisa.cygnus.com>
    Ian Lance Taylor <ian@cygnus.com>
    Jason Molenda <crash@godzilla.cygnus.co.jp>
    Doug Evans <dje@canuck.cygnus.com>

SuSE series: d

%prep
%setup
%patch

%build
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS=$RPM_OPT_FLAGS INSTALL_PROGRAM='$(INSTALL) -s' \
./configure --prefix=/usr --libexecdir=%{_prefix}/lib \
	    --mandir=%{_mandir} --infodir=%{_infodir} \
	    --with-full-gnats --with-gnats-root=/var/lib/gnats
make

%install
make install install-info \
     prefix=$RPM_BUILD_ROOT/usr libexecdir=$RPM_BUILD_ROOT%{_prefix}/lib \
     mandir=$RPM_BUILD_ROOT%{_mandir} infodir=$RPM_BUILD_ROOT%{_infodir} \
     MAKE="make GNATS_ROOT=$RPM_BUILD_ROOT/var/lib/gnats"

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/*
/usr/lib/gnats/*
/usr/share/emacs/site-lisp/*
%dir /usr/share/gnats
/usr/share/gnats/cygnus
%dir /usr/share/gnats/dist
/usr/share/gnats/dist/*
%doc %{_infodir}/*
%doc %{_mandir}/man*/*
%dir /var/lib/gnats
%dir /var/lib/gnats/gnats-adm
%config(noreplace) /var/lib/gnats/gnats-adm/addresses
%config(noreplace) /var/lib/gnats/gnats-adm/categories
%config(noreplace) /var/lib/gnats/gnats-adm/classes
%config(noreplace) /var/lib/gnats/gnats-adm/config
%config(noreplace) /var/lib/gnats/gnats-adm/gnatsd.access
%config(noreplace) /var/lib/gnats/gnats-adm/gnatsd.conf
%dir /var/lib/gnats/gnats-adm/locks
%config(noreplace) /var/lib/gnats/gnats-adm/responsible
%config(noreplace) /var/lib/gnats/gnats-adm/states
%config(noreplace) /var/lib/gnats/gnats-adm/submitters
%dir /var/lib/gnats/gnats-queue
%dir /var/lib/gnats/pending

%changelog -n gnats
* Fri Jun 22 2001 - schwab@suse.de
- Update to gnats-3.113.1.
- Fix for gcc 3.0.
- Use BuildRoot.
* Tue Mar 13 2001 - ro@suse.de
- added emacs-x11 to neededforbuild
* Thu Mar 08 2001 - schwab@suse.de
- Add xshared to neededforbuild.
* Fri Nov 17 2000 - ro@suse.de
- ge_exec -> emacs
* Sun Apr 09 2000 - bk@suse.de
- added suse update config macro
* Fri Feb 18 2000 - schwab@suse.de
- Fix file list.
- Don't chown /usr/share/gnats
- Fix quoting bug in mkcat
- fix send-pr.el:gnats::get-config.
* Fri Jan 21 2000 - schwab@suse.de
- /usr/{info,man} -> /usr/share/{info,man}
- Byte-compile send-pr.el
- Fix gnats manpage.
* Wed Dec 01 1999 - schwab@suse.de
- Fix malloc bugs.
* Thu Nov 25 1999 - schwab@suse.de
- update to 3.113
* Thu Nov 25 1999 - schwab@suse.de
- Make tempfile handling even more secure.
- Update getdate.y for Y2K
* Wed Nov 03 1999 - schwab@suse.de
- Fix numerous potential buffer overflows.
- Make tempfile handling more secure.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Aug 27 1999 - schwab@suse.de
- update to 3.111
* Tue Aug 24 1999 - uli@suse.de
- added -fsigned-char to CFLAGS (PPC)
* Tue Jun 29 1999 - uli@suse.de
- update -> 3.110
* Fri Oct 02 1998 - ro@suse.de
- update to 104beta
- reintegrated werners tmp-fixes
- hacked not to initialized global variables with "stdout"
* Fri Jul 24 1998 - werner@suse.de
- Make some scripts more secure ... use mktemp if avaliable
* Sun Jun 22 1997 - florian@suse.de
- initial release of gnats 3.102-beta for S.u.S.E.
